> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seamind.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Completion Trend

> Monthly completion/failure rates for the last 6 months.



## OpenAPI

````yaml /openapi.json get /api/v1/learn/admin/analytics/completion-trend
openapi: 3.1.0
info:
  title: Seamind Backend
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/learn/admin/analytics/completion-trend:
    get:
      tags:
        - learn-admin-analytics
      summary: Get Completion Trend
      description: Monthly completion/failure rates for the last 6 months.
      operationId: get_completion_trend_api_v1_learn_admin_analytics_completion_trend_get
      parameters:
        - name: ship_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Ship Id
        - name: course_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Course Id
        - name: role
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Role
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompletionTrendResponseDTO'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CompletionTrendResponseDTO:
      properties:
        data:
          items:
            $ref: '#/components/schemas/CompletionTrendPointDTO'
          type: array
          title: Data
      type: object
      required:
        - data
      title: CompletionTrendResponseDTO
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CompletionTrendPointDTO:
      properties:
        month:
          type: string
          title: Month
        completed:
          type: number
          title: Completed
        failed:
          type: number
          title: Failed
      type: object
      required:
        - month
        - completed
        - failed
      title: CompletionTrendPointDTO
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````